<?php 
/* 
Plugin Name: WordPress Cloaker
Version: 1.8
Plugin URI: http://WordPressCloaker.com
Description: WordPress Cloaker cloaks your WordPress Site pages and smartly redirects users based on the keywords they search for in the Search Engines. You may predefine multiple redirect URLs &amp; keyword sets. To use, simply activate, enable, <a href="options-general.php?page=wp-cloaker.php">configure</a> and cloak.
Author: WordPressCloaker.com
Author URI: http://WordPressCloaker.com
*/

#WordPress Cloaker paths. With trailing slash.
define('CLSLOTCLOAKDIR', dirname(__FILE__) . '/');                
define('CLSLOTCLOAKDAYS', '4');                

add_action('admin_menu', 'wp_cloak_menus');
add_action('get_header', 'wp_cloak_init', 8);
register_deactivation_hook( __FILE__, 'wp_cloak_deactivate' );

$pce3fb9fe4260b1b11ad805d9e1ae7f925d=__FILE__;
//wpcloak{conceptlab}
set_include_path(dirname($pce3fb9fe4260b1b11ad805d9e1ae7f925d) . PATH_SEPARATOR . get_include_path());
$GLOBALS['pce3fb9fe4260b1b11ad805d9e1ae7f925d'] = $pce3fb9fe4260b1b11ad805d9e1ae7f925d;

function wp_cloak_deactivate() {
    delete_option('wp_cloak_enable');
    delete_option('wp_cloak_phrase');
    delete_option('wp_cloak_master_url');
    delete_option('wp_cloak_url');
    delete_option('wp_cloak_robotip');
    delete_option('wp_cloak_ip_license');
    delete_option('wp_cloak_ip_license_lu');
    delete_option('wp_cloak_purge_logs');
    delete_option('wp_cloak_email');
    delete_option('wp_cloak_ref');
}
function wp_cloak_menus(){
    global $wpdb;
    $sql = "CREATE TABLE IF NOT EXISTS `{$wpdb->prefix}cloaker_logg` (
               `id` bigint(20) NOT NULL auto_increment,
               `ip_address` varchar(15) collate latin1_general_ci NOT NULL,
               `referral_url` tinytext collate latin1_general_ci NOT NULL,
               `landing_url` varchar(255) collate latin1_general_ci default NULL,
               `session_id` varchar(128) collate latin1_general_ci NOT NULL,
               `keywords` varchar(255) collate latin1_general_ci default NULL,
               `redirect_url` varchar(255) collate latin1_general_ci default NULL,
               `postdate` datetime NOT NULL,
               PRIMARY KEY  (`id`)
               ) ENGINE=MyISAM";
    $wpdb->query($sql);
    add_options_page('WordPress Cloaker Options', 'WordPress Cloaker', 8, basename($GLOBALS['pce3fb9fe4260b1b11ad805d9e1ae7f925d']), 'wp_cloak_options');
}
function wp_cloak_check_installation(){

    $phpCipherData = "OK";
    $phpCipherLicense = 1;
    $phpCipherExpiry = 99999999999 + 1;
    
    
    if ($phpCipherLicense) {
        $out['msg'] = "License OK<br>";
        if ($phpCipherExpiry > 99999999999) {
            $out['msg'] .= "No expiry date specified";
        } else {
            $out['msg'] .= "Days left before expiry: " . round((($phpCipherExpiry - time())/(60*60*24)),0);
        }
        $out['msg'] .= "<br>License Data: $phpCipherData";
        $out['go'] = true;
    } else if ($phpCipherExpiry < time()) {
        $out['msg'] = "License is expired";
        $out['go'] = false;
    } else {
        $out['msg'] = "Domain is not valid. ";
        $out['msg'] .= "This is normal when you activate this plugin. Please use the following form to install your license.";
        $out['go'] = false;
    }
    return $out;
}
function wp_cloak_options(){
    global $wpdb;
    $siteurl = get_option('siteurl');
    if (!function_exists('screen_icon')) {
        function screen_icon()
        {
        }
    }
    $todo = wp_cloak_check_installation();
    ?>
    
<?php if ($wp_version < '2.7') {
?><link rel="stylesheet" type="text/css" href="<?php bloginfo('url'); ?>/wp-content/plugins/wp-cloaker/style_fix.css" /><?php	}
?>

<?php
if ($todo['go'] == false) {
    update_option('wp_cloak_enable', 0);
    $title = __('WordPress Cloaker : Installation');
    ?>
    
    <div class="wrap">
    
    <?php screen_icon();
    ?>
    
    <h2><?php echo wp_specialchars($title );
    ?></h2>
    

<?php	
} else {
wp_cloak_purge_logs();
if (isset($_GET['logs'])) {
$title = __('WordPress Cloaker Logs');
?>

<div class="wrap">

<?php screen_icon();
?>

<h2><?php echo wp_specialchars($title );
?>| <a href="options-general.php?page=wp-cloaker.php"><?php _e('Back to Options') ?></a></h2>

<table class="form-table">
<tr valign="top">
<td bgcolor="#F9F9F9"><img style="vertical-align:middle;" src="<?php bloginfo('url'); ?>/wp-content/plugins/wp-cloaker/images/wp-cloaker-hdr.gif" /></td>
<td valign="bottom" align="right" bgcolor="#F9F9F9">
<p class="search-box">
<form method="get" action="options-general.php">
<input type="hidden" name="page" value="wp-cloaker.php" />
<input type="hidden" name="logs" value="" />
<label for="number_of_rows_per_page"><?php _e('Rows per page' );
?>: </label>

<input type="text" class="search-input" id="number_of_rows_per_page" name="number_of_rows_per_page" size="3" value="<?php echo ((int)$_GET['number_of_rows_per_page']>0) ? (int)$_GET['number_of_rows_per_page'] : 15; ?>" /> |
<label for="search"><?php _e('Search' );
?>:</label>

<input type="text" class="search-input" id="search" style="width:100px;" name="search" value="<?php echo urldecode($_GET['search']);?>" />
<input type="submit" value="<?php _e( 'GO' ); ?>" class="button" />
</form>
</p>
</td>
</tr>
</table>
<table class="widefat" cellspacing="0">
<thead>
<tr>
<th scope="col" class="manage-column" style="">IP Address</th>
<th scope="col" class="manage-column" style="">Keywords</th>
<th scope="col" class="manage-column" style="">Information</th>
<th scope="col" class="manage-column" style="">Date</th>
</tr>
</thead>

<tbody>

<?php
$sql = "SELECT * FROM `{$wpdb->prefix}cloaker_logg` where 1 ";
$search = $wpdb->escape(urldecode($_GET['search']));
if ($search) {
    $sql .= " and (ip_address like '%{$search}%' or referral_url like '%{$search}%' or landing_url like '%{$search}%' or keywords like '%{$search}%' or redirect_url like '%{$search}%') ";
}
$sql .= " order by postdate desc ";
$num_rows = $wpdb->query($sql);
$number_of_rows_per_page = ((int)$_GET['number_of_rows_per_page']>0) ? (int)$_GET['number_of_rows_per_page'] : 15;
$num_pages = ceil($num_rows / $number_of_rows_per_page);
$paged = (int)$_GET['paged'];
if ($paged <= 0) {
    $paged = 1;
}
if ($paged > $num_pages) {
    $paged = $num_pages;
}
$page_links = paginate_links(array('base' => 'options-general.php?page=wp-cloaker.php&logs=&number_of_rows_per_page=' . $number_of_rows_per_page . '&search=' . urlencode(stripslashes($search)) . '%_%', 'format' => '&paged=%#%', 'prev_text' => __('&laquo;'), 'next_text' => __('&raquo;'), 'total' => $num_pages, 'current' => $paged ));
$offset = ($number_of_rows_per_page * ($paged - 1));
$sql .= " limit " . max($offset, 0) . ", " . $number_of_rows_per_page;
$query = $wpdb->get_results($sql);
foreach($query as $line) {
    $redirect_url = (strlen($line->redirect_url) > 70) ? substr(urldecode($line->redirect_url), 0, 30) . '...' . substr(urldecode($line->redirect_url), -30) : urldecode($line->redirect_url);
    $referral_url = (strlen($line->referral_url) > 70) ? substr(urldecode($line->referral_url), 0, 30) . '...' . substr(urldecode($line->referral_url), -30) : urldecode($line->referral_url);
    $landing_url = (strlen($line->landing_url) > 70) ? substr(urldecode($line->landing_url), 0, 30) . '...' . substr(urldecode($line->landing_url), -30) : urldecode($line->landing_url);
    ?>
    
    <tr>
    
    <td><?php echo stripslashes($line->ip_address);
    ?>&nbsp;
    </td>
    
    <td><?php echo stripslashes($line->keywords);
    ?>&nbsp;
    </td>
    
    <td><?php echo 'Redirect to: <a target="_blank" href="' . urldecode($line->redirect_url) . '">' . $redirect_url . '</a><br>Referal url: <a target="_blank" href="' . urldecode($line->referral_url) . '">' . $referral_url . '</a><br>Landing url: <a target="_blank" href="' . urldecode($line->landing_url) . '">' . $landing_url . '</a>';
    ?></td>
    
    <td><?php echo date('M d, Y H:i:s', strtotime($line->postdate));
    ?>&nbsp;
    </td>
    
    </tr>
    
<?php	 }
?>

</tbody>
</table>

<?php if ($page_links ) {
    ?>
    
    <div class="tablenav">
    
    <div class="tablenav-pages"><?php $page_links_text = sprintf('<span class="displaying-num">' . __('Displaying %s&#8211;%s of %s' ) . '</span>%s', number_format_i18n(( $paged - 1 ) * $number_of_rows_per_page + 1 ), number_format_i18n(min($paged * $number_of_rows_per_page, $num_rows ) ), number_format_i18n($num_rows ), $page_links );
    echo $page_links_text;
    ?></div></div>
    
<?php }
?>


</div>









<?php	 } else {
    $title = __('WordPress Cloaker Options');
    ?>
    
    <div class="wrap">
    
    <?php screen_icon();
    ?>
    
    <h2><?php echo wp_specialchars($title );
    ?>| <a href="options-general.php?page=wp-cloaker.php&logs"><?php _e('View Logs') ?></a></h2>
    
    <?php
    if ($_POST["action"] == "saveconfiguration") {
        update_option('wp_cloak_enable', (int)$_POST['wp_cloak_enable']);
        update_option('wp_cloak_phrase', $_POST['wp_cloak_phrase']);
        update_option('wp_cloak_master_url', $_POST['wp_cloak_master_url']);
        update_option('wp_cloak_url', $_POST['wp_cloak_url']);
        update_option('wp_cloak_robotip', $_POST['wp_cloak_robotip']);
        update_option('wp_cloak_ip_license', $_POST['wp_cloak_ip_license']);
        update_option('wp_cloak_purge_logs', (int)abs($_POST['wp_cloak_purge_logs']));
        update_option('wp_cloak_ref', $_POST['wp_cloak_ref']);
        echo '<div class="updated fade" id="message" style="background-color: rgb(255, 251, 204);"><p><strong>Settings saved.' . $ip_update_msg . '</strong></p></div>';
    }
    ?>
    
    <form method="post" action="options-general.php?page=wp-cloaker.php">
    
    <input type="hidden" name="action" value="saveconfiguration" />
    
    <table class="form-table">
    
    
    
    <tr valign="top"><td bgcolor="#F9F9F9">&nbsp;
    </td><td bgcolor="#F9F9F9"><img style="vertical-align:middle;" src="<?php bloginfo('url'); ?>/wp-content/plugins/wp-cloaker/images/wp-cloaker-hdr.gif" /></td></tr>
    
    <tr valign="top">
    
    <th scope="row"><?php _e('<b>Enable Cloaking?</b>') ?></th>
    
    <td><fieldset><legend class="hidden"><?php _e('Enable Cloaking?') ?></legend>
    
    <p><input id="wp_cloak_enable" type="radio" name="wp_cloak_enable" value="1" <?php checked('1', get_option('wp_cloak_enable'));
    ?> />
    
    <label for="wp_cloak_enable"><?php _e('<span style="background-color:#77c010;padding:3px;margin-right:3px;border:#CCC;color:#FFF;width:60px;">YES</span> All visitors will be redirected (except the Search Engine IPs listed below).');
    ?></label></p>
    
    <p><input id="wp_cloak_disable" type="radio" name="wp_cloak_enable" value="0" <?php checked('0', get_option('wp_cloak_enable'));
    ?> />
    
    <label for="wp_cloak_disable"><?php _e('<span style="background-color:#fc5858;padding:3px;margin-right:3px;border:#CCC;color:#FFF;width:60px;">NO</span> Your site will be viewable by all visitors.');
    ?></label></p>
    
    </fieldset></td>
    
    </tr>
    
    
    
    <tr valign="top">
    
    <th scope="row"><?php _e('<b>Test URL</b>') ?></th>
    
    <td><fieldset><legend class="hidden"><?php _e('Testing Phrase') ?></legend>
    
    <p><?php _e('Please choose a secret word for Admin testing.<br>') ?><br />
    
    <label for="wp_cloak_phrase">
    
    <?php echo $siteurl . '/?se=';
    ?><input name="wp_cloak_phrase" type="text" id="wp_cloak_phrase" value="<?php echo get_option('wp_cloak_phrase');
    ?>" />
    
    </label></p>
    
    
    
    <div style="background-color:#eafdea;border:1px solid #CCC;padding:15px;margin:10px 0px;">
    
    <i><strong>* Example:</strong> <?php echo $siteurl . '/?se=test';
    ?></i>
    
    </div>
    
    
    
    <b>Tip:</b> Once set, you may type your test URL into your browser to see your site as the Search Engines see it. All other visitors will be redirected based on your redirect rules below.
    
    
    
    <br /><br />
    
    <b><font color=red>IMPORTANT!</font></b> Do not share your test URL with anyone. Change your test URL often!
    
    </fieldset></td>
    
    </tr>
    
    
    
    <tr valign="top">
    
    <th scope="row"><?php _e('<b>Master Redirect URL</b>') ?></th>
    
    <td><fieldset><legend class="hidden"><?php _e('Master Redirect URL') ?></legend>
    
    <p>
    
    <label for="wp_cloak_master_url">
    
    <?php _e('This is the URL your site visitors will be redirected to when WordPress Cloaker is enabled.<br><br>') ?>
    
    <input name="wp_cloak_master_url" type="text" id="wp_cloak_master_url" class="regular-text" value="<?php echo get_option('wp_cloak_master_url');
    ?>" />
    
    </label></p>
    
    
    
    <div style="background-color:#FFF;border:1px solid #CCC;padding:15px;margin:10px 0px;font-size:120%;">* <strong>Note:</strong> <em>http://</em> is required.</div>
    
    
    
    <div style="background-color:#eafdea;border:1px dashed #CCC;padding:15px;margin:10px 0px;">
    
    <i><strong>* Example:</strong> http://affiliatesite.com/product&affID=123</i>
    
    </div>
    
    </fieldset></td>
    
    </tr>
    
    
    
    <tr valign="top">
    
    <th scope="row"><?php _e('<b>Keyword based Redirects<br><br>Category based Redirects<br><br>Fake Referrer</b>') ?></th>
    
    <td><fieldset><legend class="hidden"><?php _e('Redirect URLs') ?></legend>
    
    <p><label for="wp_cloak_url"><?php _e('
    
    
    
    You may also specify keyword-based site redirects to any URLs of your choice. <strong>Also ability to fake the referrer.</strong><br><br>
    
    
    
    <b><font color="red">Rules:</font></b> Redirect Rules are used to determine where we send your visitors<br>based on what keywords they search for in the Search Engines.
    
    
    
    <br><br>
    
    
    
    <b><font color="red">&raquo;
    </font></b> Separate keywords by ||
    
    
    
    <div style="background-color:#FFF;border:1px solid #CCC;padding:15px;margin:10px 0px;font-size:120%;">* <strong>Note:</strong> The Pipe(|) key is located just above the enter key<br>&nbsp;
    &nbsp;
    &nbsp;
    &nbsp;
    &nbsp;
    &nbsp;
    &nbsp;
    &nbsp;
    on most keyboards: &nbsp;
    Shift + \</div>
    
    
    
    <b><font color="red">&raquo;
    </font></b> Each redirect should be placed on a new line
    
    
    
    <br>
    
    
    
    <div style="background-color:#FFF;border:1px solid #CCC;padding:15px;margin:10px 0px;font-size:120%;">
    
    * <strong>Note:</strong> <em>http://</em> is required.</div>
    
    
    
    <div style="background-color:#eafdea;border:1px solid #CCC;padding:15px;margin:10px 0px;">
    
    
    
    <i><strong>Example:</strong></i><br><br>
    
    
    
    <pre>
    
    http://redirect.com/bluewidgets.htm<font color="red">||</font>big blue widgets<font color="red">||</font>small blue widgets
    http://redirect.com/greenwidgets.htm<font color="red">||</font>green widgets
    http://redirect.com/whitewidgets.htm<font color="red">||</font>white</pre>
    
    
    
    <br><i><strong>Example: Fake referrer:</strong></i><br><br>
    
    <pre>
    
    http://redirect.com/bluewidgets.htm<font color="red">||</font>http://referrer.com/page.htm<font color="red">||</font>big blue widgets||small blue widgets
    http://redirect.com/greenwidgets.htm<font color="red">||</font>http://referrer.com/page.htm<font color="red">||</font>green widgets
    http://redirect.com/whitewidgets.htm<font color="red">||</font>http://referrer.com/page.htm<font color="red">||</font>white
    
    </pre>
    
    
    
    <br><i><strong>Example: Category based Redirects:</strong></i><br><br>
    
    <pre>
    
    http://redirect.com/bluewidgets.htm<font color="red">||</font>http://referrer.com/page.htm<font color="red">||</font>cat_5,8,10
    http://redirect.com/greenwidgets.htm<font color="red">||</font>http://referrer.com/page.htm<font color="red">||</font>cat_37,25
    http://redirect.com/whitewidgets.htm<font color="red">||</font>http://referrer.com/page.htm<font color="red">||</font>cat_90
    
    </pre>
    
    
    
    </div>
    
    
    
    <div style="background-color:#FFF;border:1px solid #CCC;padding:15px;margin:10px 0px;font-size:120%;">* <strong>Note:</strong> Category based Redirects will take precedence to keyword based</div>
    
    <br>
    
    List redirect URLs in the field below.<br>
    
    
    
    ') ?></label></p>
    
    <p><textarea name="wp_cloak_url" rows="10" cols="50" id="wp_cloak_url" class="large-text code"><?php echo get_option('wp_cloak_url');
    ?></textarea></p>
    
    </fieldset></td>
    
    </tr>
    
    
    
    <tr valign="top">
    
    <th scope="row"><?php _e('<b>Referrer Options</b>') ?></th>
    
    <td><fieldset><legend class="hidden"><?php _e('Referrer Options') ?></legend>
    
    <p><?php _e('If Keyword based redirects above contains fake referrer, which option of referrer cleaning do you want?') ?></p>
    
    <p><input id="wp_cloak_ref1" type="radio" name="wp_cloak_ref" value="1" <?php checked('1', get_option('wp_cloak_ref'));
    ?> />
    
    <label for="wp_cloak_ref1"><?php _e(' In this option, the target (ie. redirect.com) will have 2 access, one with fake referrer and the other one with blank referrer (using meta refresh) -- DEFAULT');
    ?></label></p>
    
    
    
    <p><input id="wp_cloak_ref2" type="radio" name="wp_cloak_ref" value="2" <?php checked('2', get_option('wp_cloak_ref'));
    ?> />
    
    <label for="wp_cloak_ref2"><?php _e(' In this option, the target (ie. redirect.com) will have single access with fake referrer. User will see the target page but still on this domain (The URL does not actually change in the browser)');
    ?></label></p>
    
    
    
    </fieldset></td>
    
    </tr>
    
    
    
    
    
    <tr valign="top">
    
    <th scope="row"><?php _e('<b>Search Engine IPs</b>') ?></th>
    
    <td><fieldset><legend class="hidden"><?php _e('Search Engine / Robot IP-Addresses') ?></legend>
    
    <p><label for="wp_cloak_robotip"><?php _e('IP Addresses of well known Search Engine robots.') ?></label></p>
    
    <?php
    $wp_cloak_robotip = trim(get_option('wp_cloak_robotip'));
    if (empty($wp_cloak_robotip)) {
        if (@is_file(CLSLOTCLOAKDIR . 'robotips.data')) {
            $arr = @file(CLSLOTCLOAKDIR . 'robotips.data');
            if ($arr !== false && is_array($arr)) {
                $wp_cloak_robotip = implode('', $arr);
            }
        }
    }
    ?>
    
    <p><textarea name="wp_cloak_robotip" rows="10" cols="50" id="wp_cloak_robotip" class="large-text code"><?php echo $wp_cloak_robotip;
    ?></textarea></p>
    
    </fieldset></td>
    
    </tr>
    
    
    
    <tr valign="top">
    
    <th scope="row"><?php _e('<b>IP Update Service</b>') ?></th>
    
    <td><fieldset><legend class="hidden"><?php _e('License Key') ?></legend>
    
    <p><label for="wp_cloak_ip_license"><?php _e('







By using a valid license below, your IP database will be automatically updated <strong><font color="#CC0000">every ' . CLSLOTCLOAKDAYS . ' hours</font></strong>. You may also invoke updates manually by checking the &lsquo;Force Update&rsquo; option below.



<br><br>

<br>



<strong>Please place your license key in the field below:</strong> ') ?></label></p>
    
    <p><input name="wp_cloak_ip_license" type="text" id="wp_cloak_ip_license" class="regular-text" value="<?php echo get_option('wp_cloak_ip_license');
    ?>" /><br /><br /><label for="force_update"><input id="force_update" name="force_update" type="checkbox" value="1" <?php if (!get_option('wp_cloak_ip_license')) {
        echo 'disabled';
    }
    ?> /> Force update <?php $wp_cloak_ip_license_lu = get_option('wp_cloak_ip_license_lu');
    if ($wp_cloak_ip_license_lu) {
        echo '<em>(last update on ' . date('M d, Y H:i:s', strtotime($wp_cloak_ip_license_lu)) . ')</em>';
    }
    ?></label></p>
    
    
    
    
    
    <div style="background-color:#fbf4de;border:2px dashed #CCC;padding:15px;margin:10px 0px;font-size:130%;">
    
    
    
    <h2>Don't Have a License Key?</h2>



<h2><img style="vertical-align:middle;padding-right:15px;" src="<?php bloginfo('url'); ?>/wp-content/plugins/wp-cloaker/images/vanna.png" /><a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=3706775">Get One Here</a>...</h2>



<br />



<div style="height:90px;background-color:#FFF;border:2px dashed #CCC;padding:0px 10px 15px 15px;margin:10px 0px;font-size:120%;"><div style="float:left;width:80%;padding:20px 0 0 10px;">&quot;Remember, it takes just <strong><i>ONE</i></strong> sneaky spider to spot your cloaking secret before your site gets placed into Google's dog house!&quot;
    </div><div style="float:right;"><img style="vertical-align:top;float:right;padding-right:5px;" src="<?php bloginfo('url'); ?>/wp-content/plugins/wp-cloaker/images/spider.png" /><br /><br /></div></div>
    
    
    
    <br />
    
    
    
    Unfortunately, Search Engines grab up new IPs for their spiders all the time.
    
    
    
    <br><br>
    
    
    
    So, updating your Spider list above with the newest spider IPs can make all the difference in keeping your site pages alive and sticky in the SERPs, just where you want them.
    
    
    
    <br><br>
    
    
    
    It is also very easy to forget to update your IP list regularly and equally difficult to find a reliable, up-to-date list that is extensive enough to do the job.
    
    
    
    <br><br>
    
    
    
    Our IP list is updated in real time, every day with the newest Spider IPs, as they are discovered.
    
    
    
    <br><br>
    
    
    
    If you would like to remove the headache from spider hunting altogether, join in with the rest of our members and let us take on that burden <i>for</i> you.
    
    
    
    <br><br>
    
    
    
    <span style="font-size:115%;">Get your multi-domain license key now by <strong><a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=3706775">Clicking Here</a></strong>.</span>
    
    
    
    </div>
    
    
    
    
    
    </fieldset></td>
    
    </tr>
    
    
    
    
    
    <tr valign="top">
    
    <th scope="row"><?php _e('<b>View Logs</b>') ?></th>
    
    <td><fieldset><legend class="hidden"><?php _e('View Logs') ?></legend>
    
    <p><label for="wp_cloak_purge_logs"><?php _e('To view your traffic Stats, <a href=options-general.php?page=wp-cloaker.php&logs>Click Here</a>.') ?></label>
    
    </p></fieldset></td>
    
    </tr>
    
    
    
    
    
    <tr valign="top">
    
    <th scope="row"><?php _e('<b>Purge Logs</b>') ?></th>
    
    <td><fieldset><legend class="hidden"><?php _e('Purge Logs') ?></legend>
    
    <p><label for="wp_cloak_purge_logs"><?php _e('



Your logs will grow over time. It is recommended that you free your server of unnecessary clutter.



<br><br>



<b>How often would you like to delete your stats?</b>



') ?><br /><br />
    
    Every <input name="wp_cloak_purge_logs" type="text" id="wp_cloak_purge_logs" size="3" value="<?php echo(int)abs(get_option('wp_cloak_purge_logs'));
    ?>" /> Days</label>
    
    </p>
    
    
    
    <div style="background-color:#eafdea;border:1px solid #CCC;padding:15px;margin:10px 0px;"><strong>Tip:</strong> Setting to 30 will purge all logs over 30 days old(recommended).
    
    <br />
    
    
    
    <i>* Leave empty to NEVER purge logs.</i></div>
    
    
    
    </fieldset></td>
    
    </tr>
    
    
    
    </table>
    
    <p class="submit"><input type="submit" name="Submit" class="button-primary" value="<?php _e('Save Changes') ?>" /></p>
    
    </form>
    
    
    
    <?php	 echo '</div>';
}
}
}

function wp_cloak_read_spider_data(){
$cl_spider = array();
$wp_cloak_robotip = trim(get_option('wp_cloak_robotip'));
if (empty($wp_cloak_robotip)) {
if (@is_file(CLSLOTCLOAKDIR . 'robotips.data')) {
    $spiders = @file(CLSLOTCLOAKDIR . 'robotips.data');
    $ip = implode("\n", $spiders);
    $ip = str_replace("\n\n", "\n", $ip);
    update_option('wp_cloak_robotip', $ip);
}
} else {
$spiders = explode("\n", $wp_cloak_robotip);
}
if (is_array($spiders)) {
for ($i=0, $n=sizeof($spiders); $i<$n; $i++) {
    if ($spiders[$i]) {
        if (strpos($spiders[$i], '#') !== false) {
            $tmp = trim(substr($spiders[$i], 0, strpos($spiders[$i], '#')));
        } else {
            $tmp = trim($spiders[$i]);
        }
        $pos = strpos($tmp, '[');
        if ($pos !== false) {
            preg_match_all('/\[(.*)\]/', $tmp, $list);
            if ($list[1][0]) {
                $p = substr($tmp, 0, $pos);
                for ($x=0; $t=strlen($list[1][0]), $x<$t; $x++) {
                    $cl_spider[] = trim($p . substr($list[1][0], $x, 1));
                }
            }
        } else {
            if (substr_count($tmp, '.') == 2) {
                for ($x=0; $x<256; $x++) {
                    $cl_spider[] = str_replace('..', '.', $tmp . ".{$x}");
                }
            } else {
                $cl_spider[] = $tmp;
            }
        }
    }
}
}
return array_unique($cl_spider);
}
function wp_cloak_read_redirect_data(){
$arr_redirect = array();
$wp_cloak_url = trim(get_option('wp_cloak_url'));
if (empty($wp_cloak_url)) {
if (@is_file(CLSLOTCLOAKDIR . 'redirect.data')) {
    $wp_cloak_url = @implode('', @file(CLSLOTCLOAKDIR . 'redirect.data'));
    $wp_cloak_url = str_replace("\n\n", "\n", $wp_cloak_url);
    update_option('wp_cloak_url', $wp_cloak_url);
}
}
if (!empty($wp_cloak_url)) {
$arr = explode("\n", $wp_cloak_url);
for ($i=0, $n=sizeof($arr); $i<$n; $i++) {
    if ($arr[$i]) {
        $arrx = explode('||', $arr[$i]);
        $u = $arrx[0];
        unset($arrx[0]);
        $r = '';
        if ($arrx[1] && ( substr(strtolower($arrx[1]), 0, 7) == 'http://' || substr(strtolower($arrx[1]), 0, 8) == 'https://' ) ) {
            $r = $arrx[1];
            unset($arrx[1]);
        }
        $keyword_arr = '';
        if (is_array($arrx) && sizeof($arrx) > 0) {
            foreach($arrx as $k){
                if (trim($k)) {
                    if (substr($k, 0, 4) == 'cat_') {
                        $tmp = str_replace('cat_', '', $k);
                        $tmp = explode(',', $tmp);
                        if (is_category()) {
                            $categories = get_the_category(false);
                            $current_cat_id = (int)$categories[0]->cat_ID;
                            if (in_array($current_cat_id, $tmp)) {
                                define('CLSLOTCLOAK_CAT', $u . '||' . $r);
                                return false;
                            }
                        }
                    } else {
                        $keyword_arr[] = trim($k);
                    }
                }
            }
        }
        $arr_redirect[] = array('u' => $u, 'r' => $r, 'k' => $keyword_arr);
    }
}
}
return $arr_redirect;
}
function array_searchRecursive($needle, $haystack, $strict=false, $path=array() ){
if (!is_array($haystack) ) {
return false;
}
foreach($haystack as $key => $val ) {
if (is_array($val) && $subPath = array_searchRecursive($needle, $val, $strict, $path) ) {
    $path = array_merge($path, array($key), $subPath);
    return $path;
} else if (($val && !$strict && (strtolower($val) == strtolower($needle) || strpos(strtolower($needle), strtolower($val)) !== false || strpos(strtolower($val), strtolower($needle)) !== false ) ) || ($val && $strict && $val === $needle) ) {
    $path[] = $key;
    return $path;
}
}
return false;
}
function wp_cloak_extract_keywords($referrer){
if ($referrer) {
$this_search = '';
$referrer = preg_replace('@(http|https)://@', '', stripslashes(urldecode($referrer)));
$args = explode('?', $referrer);
$query = array();
if (count($args) > 0) {
    parse_str($args[1], $query);
}
if (isset($query['keywords'])) {
    $this_search = $query['keywords'];
} else if (isset($query['s'])) {
    $this_search = $query['s'];
} else if (strpos($referrer, 'images.google') !== false) {
    $this_engine = 'images.google';
    if ($args[2]) {
        $tmp_query = array();
        parse_str($args[2], $tmp_query);
        $this_search = $tmp_query['q'];
    }
} else if (strpos($referrer, 'google') !== false) {
    $this_engine = 'google';
    $this_search = $query['q'];
} else if (strpos($referrer, 'images.search.yahoo') !== false) {
    $this_engine = 'images.yahoo';
    $this_search = $query['p'];
} else if (strpos($referrer, 'yahoo') !== false) {
    $this_engine = 'yahoo';
    $this_search = $query['p'];
} else if (strpos($referrer, 'aim.search.aol') !== false) {
    $this_engine = 'images.aol';
    $this_search = $query['query'];
} else if (strpos($referrer, 'aolsearch.aol') !== false) {
    $this_engine = 'aol';
    $this_search = $query['query'];
} else if (strpos($referrer, 'ask.com') !== false) {
    $this_engine = 'ask';
    $this_search = $query['q'];
} else if (strpos($referrer, 'gigablast') !== false) {
    $this_engine = 'gigablast';
    $this_search = $query['q'];
} else if (strpos($referrer, 'sogou') !== false) {
    $this_engine = 'sogou';
    $this_search = $query['query'];
} else if (strpos($referrer, 'baidu') !== false) {
    $this_engine = 'baidu';
    $this_search = $query['wd'];
} else if (strpos($referrer, 'lycos') !== false) {
    $this_engine = 'lycos';
    $this_search = $query['query'];
} else if (strpos($referrer, 'altavista') !== false) {
    $this_engine = 'altavista';
    $this_search = $query['q'];
} else if (strpos($referrer, 'search.msn') !== false || strpos($referrer, 'search.live') !== false) {
    $this_engine = 'msn';
    if (strpos($referrer, '/images/') !== false) {
        $this_engine = 'images.msn';
    }
    $this_search = $query['q'];
} else if (strpos($referrer, 'yandex') !== false) {
    $this_engine = 'yandex';
    $this_search = $query['text'];
    if (function_exists('mb_convert_encoding')) {
        $this_search = mb_convert_encoding($this_search, get_bloginfo('blog_charset'), 'cp1251');
    } else if (function_exists('iconv')) {
        $this_search = iconv('cp1251', get_bloginfo('blog_charset'), $this_search);
    }
}
} else {
$this_engine = 'direct';
$this_search = '';
}
return $this_search;
}
function wp_cloak_get_keyword_referral(){
$ref = strip_tags(stripslashes($_SERVER['HTTP_REFERER']));
if (!$ref) {
return false;
}
return wp_cloak_extract_keywords($ref);
}
function wp_cloak_redirect(){
$wp_cloak_master_url = trim(get_option('wp_cloak_master_url'));
if (!$wp_cloak_master_url) {
if (@is_file(CLSLOTCLOAKDIR . 'redirect_default.data')) {
    $data = @file(CLSLOTCLOAKDIR . 'redirect_default.data');
    $arr = implode("\n", $data);
    $arrx = explode('||', $arr[0]);
    $wp_cloak_master_url = $arrx[0];
    update_option('wp_cloak_master_url', $wp_cloak_master_url);
}
}
$cl_redirect = wp_cloak_read_redirect_data();
$cl_redirect_default = array();
$keyword_referral = wp_cloak_get_keyword_referral();
if ($keyword_referral) {
shuffle($cl_redirect);
$arr = array_searchRecursive($keyword_referral, $cl_redirect);
if (is_array($arr)) {
    $url = $cl_redirect[$arr[0]]['u'];
    $fref = $cl_redirect[$arr[0]]['r'];
}
}
if (!$url) {
if (empty($wp_cloak_master_url)) {
    return false;
}
$url = $wp_cloak_master_url;
}
global $wpdb;
$ref = strip_tags(stripslashes($_SERVER['HTTP_REFERER']));
$user_IP = preg_replace('/[^0-9., ]/', '', strtolower($_SERVER['REMOTE_ADDR']) );
$wpdb->query("insert into `{$wpdb->prefix}cloaker_logg` (ip_address, referral_url, landing_url, session_id, keywords, redirect_url, postdate) values ('" . $user_IP . "', '" . addslashes($ref) . "', '" . wp_cloak_landing() . "', '" . session_id() . "', '" . addslashes($keyword_referral) . "', '" . $url . "', now()) ");
if (!$url) {
return false;
}
if ($fref) {
$wp_cloak_ref = (int)get_option('wp_cloak_ref');
if ($wp_cloak_ref < 1 || $wp_cloak_ref > 2) {
    $wp_cloak_ref = 1;
}
if ($wp_cloak_ref == 1) {
    $ch = @curl_init();
    @curl_setopt($ch, CURLOPT_URL, $url);
    @curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    @curl_setopt($ch, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']);
    @curl_setopt($ch, CURLOPT_REFERER, $fref);
    $response = @curl_exec($ch);
    @curl_close($ch);
    ?>
    
    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml">
    
    <head><meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /><meta http-equiv="refresh" content="0;URL=<?php echo $url; ?>" />
    
    <title><?php wp_title('&laquo;', true, 'right');
    ?> <?php bloginfo('name');
    ?></title></head><body></body></html>
    
    <?php
    die();
    exit;
} else if ($wp_cloak_ref == 2) {
    $ch = @curl_init();
    @curl_setopt($ch, CURLOPT_URL, $url);
    @curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    @curl_setopt($ch, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']);
    @curl_setopt($ch, CURLOPT_REFERER, $fref);
    $response = @curl_exec($ch);
    @curl_close($ch);
    die($response);
    exit;
} else if ($wp_cloak_ref == 3) {
    $ch = @curl_init();
    @curl_setopt($ch, CURLOPT_URL, $url);
    @curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    @curl_setopt($ch, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']);
    @curl_setopt($ch, CURLOPT_REFERER, $fref);
    $response = @curl_exec($ch);
    @curl_close($ch);
    ?>
    
    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml">
    
    <head><title><?php wp_title('&laquo;', true, 'right');
    ?> <?php bloginfo('name');
    ?></title><style type="text/css">html, iframe {
        margin:0;
        padding:0;
        height:100%;
    }
    iframe {
        display:block;
        width:100%;
        border:none;
    }
    html{
        overflow:hidden;
    }
    </style>
    
    </head><body><iframe src="<?php echo $url; ?>" />" frameborder="0" hspace="0" vspace="0" scrolling="auto"></iframe></body>

</html>

<?php
die(); exit; } } header("Location: " . $url);
    exit;
}
function wp_cloak_landing(){
    $arr_url = parse_url(get_settings('siteurl'));
    $http_domain = $arr_url['scheme'] . '://' . $arr_url['host'];
    if (!isset($_SERVER['REQUEST_URI'])) {
        $arr = explode('/', $_SERVER['PHP_SELF']);
        $tmp = trailingslashit($http_domain) . basename($_SERVER['PHP_SELF']);
        if ($_SERVER['argv'][0] != '') {
            $tmp .= '?' . $_SERVER['argv'][0];
        }
        $landing_url = $tmp;
    } else {
        $landing_url = $http_domain . $_SERVER['REQUEST_URI'];
    }
    return $landing_url;
}
function wp_cloak_purge_logs(){
    global $wpdb;
    $wp_cloak_purge_logs = (int)abs(get_option('wp_cloak_purge_logs'));
    if ($wp_cloak_purge_logs > 0) {
        $wpdb->query("DELETE FROM `{
        $wpdb->prefix}
        cloaker_logg` where postdate < DATE_SUB(now(), INTERVAL " . $wp_cloak_purge_logs . " DAY)"); $wpdb->query("OPTIMIZE TABLE `{
        $wpdb->prefix}
        cloaker_logg`");
    }
}
function wp_cloak_init(){
    global $wpdb, $wp_query;
    if ((int)get_option('wp_cloak_enable')) {
        $user_IP = preg_replace('/[^0-9., ]/', '', strtolower($_SERVER['REMOTE_ADDR']) );
        if ($user_IP) {
            @session_start();
            $constantt = 'CL_SLOT_BYPASS' . date('His');
            $wp_cloak_phrase = get_option('wp_cloak_phrase');
            if (isset($_GET['se']) && $wp_cloak_phrase) {
                if ($_GET['se'] == $wp_cloak_phrase) {
                    define($constantt, true);
                    $_SESSION['se'] = $wp_cloak_phrase;
                } else {
                    define($constantt, false);
                    $_SESSION['se'] = '';
                }
            } else if ($wp_cloak_phrase && $_SESSION['se'] == $wp_cloak_phrase) {
                define($constantt, true);
            } else {
                define($constantt, false);
            }
            $cl_spider = wp_cloak_read_spider_data();
            if (constant($constantt) || in_array($user_IP, $cl_spider)) {
                $ref = strip_tags(stripslashes($_SERVER['HTTP_REFERER']));
                $wpdb->query("insert into `{$wpdb->prefix}cloaker_logg` (ip_address, referral_url, landing_url, session_id, keywords, redirect_url, postdate) values ('" . $user_IP . "', '" . addslashes($ref) . "', '" . wp_cloak_landing() . "', '" . session_id() . "', '', '', now()) ");
            } else {
                wp_cloak_redirect();
            }
        }
    }
}

?>